name='libndi-bin'
version='5.5.3'
release='2'
desc='ndi-sdk для obs-ndi'
homepage='https://github.com/Palakis/obs-ndi'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('LGPL2.0')
provides=('libndi')
conflicts=('libndi-git' 'ndi-sdk')

sources=("https://github.com/obs-ndi/obs-ndi/releases/download/4.11.1/libndi5-dev_${version}-1_amd64.deb"
	"https://github.com/obs-ndi/obs-ndi/releases/download/4.11.1/libndi5_${version}-1_amd64.deb")
checksums=('SKIP'
	'SKIP')

prepare() {
	cd "${srcdir}"
	mkdir a b
	bsdtar -xf libndi5_5.5.3-1_amd64.deb -C a data.tar.zst
	bsdtar -xf libndi5-dev_5.5.3-1_amd64.deb -C b data.tar.zst
	tar -xf ./a/data.tar.zst -C "${pkgdir}"
	tar -xf ./b/data.tar.zst -C "${pkgdir}"
	ln -frs "${pkgdir}/usr/lib/libndi.so.${pkgver}" "${pkgdir}/usr/lib/libndi.so.${version%%.*}"
	ln -frs "${pkgdir}/usr/lib/libndi.so.${pkgver}" "${pkgdir}/usr/lib/libndi.so"
}

package() {
	cd "${pkgdir}"
}
