name='alr-git'
version='latest'
release=1
desc='Any Linux Repository'
homepage='https://gitflic.ru/project/xpamych/alr'
maintainer='Evgeniy Khramov <xpamych@yandex.ru>'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64' 'arm64' 'arm7' 'arm6' '386' 'riscv64')
license=('GPL-3.0-or-later')
provides=('alr')
conflicts=('alr' 'alr-bin' 'alr-git')

build_deps=('golang')
build_deps_arch=('go')
build_deps_alpine=('go')
build_deps_opensuse=('go')

sources=("https://gitflic.ru/project/xpamych/alr.git")
checksums=('SKIP')

version() {
    cd "${srcdir}/alr"
    git-version
}

build() {
    cd "${srcdir}/alr"
    CGO_ENABLED=0 go build -ldflags="-X 'plemya-x.ru/alr/internal/config.Version=$version'"
}

package() {
    cd "$srcdir/alr"
    install-binary alr
    install-completion bash alr < scripts/completion/bash
    install-completion zsh alr < scripts/completion/zsh 
}