name='obs-vkcapture'
version='1.4.9'
release='1'
desc='OBS plugin for Vulkan/OpenGL game capture on Linux.'
homepage='https://github.com/nowrep/obs-vkcapture'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('GPL-2.0 license')
provides=('obs-vkcapture' 'lib32-obs-vkcapture')
conflicts=('obs-vkcapture' 'lib32-obs-vkcapture')
deps=('lib64vulkan1' 'lib64GL1' 'obs-studio>=27')
deps_arch=('vulkan-icd-loader' 'libgl' 'obs-studio>=27')
build_deps=('git' 'gcc' 'cmake' 'vulkan-headers' 'libgcc1' 'lib64vulkan-devel' 'lib64GL-devel' 'lib64obs-devel')
deps_arch=('vulkan-icd-loader' 'libgl' 'obs-studio>=27')
build_deps_arch=('git' 'gcc' 'cmake' 'vulkan-headers' 'lib32-gcc-libs' 'lib32-vulkan-icd-loader' 'lib32-libgl')

sources=("git+https://github.com/nowrep/obs-vkcapture.git#tag=v{$version}")
checksums=('SKIP')

prepare() {
	cd "${srcdir}/obs-vkcapture"
	mkdir build
}

build() {
	cd "${srcdir}/obs-vkcapture/build"
	cmake -DCMAKE_INSTALL_PREFIX=${pkgdir}/usr ..
	make
	make install
}
package() {
}
